Subject: Event 19 in Open Sent state was Re: bgp18 WG Last Call fsm missing keepalive

From: "Tom Petch" <[email-masked]>
Date: Fri, 13 Dec 2002 21:46:45 -0000

Sue

You asked if event 19 (Open with OpenDelay timer running) was possible
in OpenSent state; I gave a lengthy reply (below) to the effect yes it
could because the OpenDelay timer did not always get stopped but the
timer should be stopped in which case the event would not happen.

Reading your responses to Siva , I see you include stopping the Open
Delay timer in the action 'release all BGP resources' when going to
Idle (which I missed seeing earlier in the year).

That eliminates most but not all of the possibilities I mentioned.  I
now believe we would need to add the action 'stop OpenDelay timer' for

Connect state
event 17 (currently defined as going to Active)
event 9 (stays in Connect state)

in order to stop event 19 in Open Sent

Tom Petch
[email-masked]

-----Original Message-----
From: Tom Petch <[email-masked]>
To: Susan Hares <[email-masked]>; idr <[email-masked]>
Cc: Jeffrey Haas <[email-masked]>
Date: 05 December 2002 19:02
Subject: Re: bgp18 WG Last Call fsm missing keepalive

>Sue

<snip>

>2) complicated.  As the fsm text stands,  Event 19, along with a host
>of others, takes us back from Open Sent  to Idle (I assume on the
>grounds this is an error condition) which seems very reasonable.
>
>But ...in quite a few places, such as Connect state events 2,
>7,8,9,10,11, 17, 18, 20 thru 27, we do not stop the OpenDelay timer
>when going to Idle or Active so we could then go from eg Idle with
>Manual start [event 1] to Connect to Open Sent all before the
>OpenDelay timer expires in which case event 19 can occur validly in
>Open Sent - obscure but possible. (This is also true with Active
state
>and events 2, 17 and the default list at the end).
>
>But I think this is an error, and that when exiting Connect state or
>Active state as listed above, we should have an additional action to
>stop the OpenDelay timer in which case event 19 in Open Sent becomes
>an error condition (again).
>
>But but but as ever, I cannot speak with authority for
implementations
>and so if implementations do not stop the OpenDelay timer when
exiting
>as above, then Event 19 is valid in Open Sent state - obscure but
>possible (again).
>
>My wish is to add the extra action, stop OpenDelay timer, for the
>events listed above in Active and Connect states in the expectation
>that that is what people have or should have implemented.
>
>Tom Petch
>[email-masked]
>
>-----Original Message-----
>From: Susan Hares <[email-masked]>
>To: Tom Petch <[email-masked]>; idr <[email-masked]>
>Cc: Jeffrey Haas <[email-masked]>
>Date: 04 December 2002 19:50
>Subject: RE: bgp18 WG Last Call fsm missing keepalive
>
>
>Tom:
>
<snip>

>2) Do you think that Event 19 is possible in the Open Sent state?
>
>Please answer this separately.
>
>Thanks for all the wonderful review of the State machine.
>I'm working my way through the comments.
>
>Sue
>
>-